function ff=F_city1(x)
       %% City Location 
       a=[10 0	0;10	0	1;10	1	0;10	1	1];
       n=length(a);
       ff=0.0;
       for i=1:n
         dx1=x(1)-a(2,i);
         dx2=x(2)-a(3,i);
         ff=ff+a(1,i)*(dx1*dx2+dx2*dx2)
       endfor
endfunction